Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 343575 - net-analyzer/pathrate _FORTIFY_SOURCE indicates presence of overflow
Summary: net-analyzer/pathrate _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Netmon Herd
URL:
Whiteboard: Pending Removal: 2012-04-24
Keywords: PMASKED
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-31 20:26 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-04-23 18:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (pathrate-2.4.1:20101031-171100.log,5.41 KB, text/plain)
2010-10-31 20:27 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-31 20:26:59 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-31 20:27:17 UTC
Created attachment 252709 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2012-03-19 12:16:51 UTC
Upstream dead since 2006, maybe we could last rite it
Comment 3 Pacho Ramos gentoo-dev 2012-04-23 18:15:40 UTC
dropped